rm -f config.cache

AC_PREREQ(2.59)
AC_INIT([ninja], [0.0.1], [jeremy@openmoko.com])
AC_CONFIG_HEADERS(config.h)
AC_CONFIG_MACRO_DIR([m4])
AM_INIT_AUTOMAKE([1.8 foreign])

AC_CANONICAL_BUILD
AC_CANONICAL_HOST

AC_PROG_CC
AM_PROG_LIBTOOL
AC_HEADER_STDC

ALL_LINGUAS="fr it"
AC_SUBST(ALL_LINGUAS)

AM_GNU_GETTEXT([external])
AM_GNU_GETTEXT_VERSION(0.14)

localedir=${datadir}/locale
AC_SUBST(LOCALEDIR, "${localedir}")
AC_DEFINE_UNQUOTED(LOCALEDIR, "${localedir}", "Module Locale Directory")

#
# Check EFL Libs
#
PKG_CHECK_MODULES(EFL, [edje >= 0.5.0])

AC_ARG_WITH(edje-cc,
[  --with-edje-cc=PATH              specify a specific path to edje_cc],
[
  v=$withval;
  edje_cc=$v
  echo "  Enlightenment edje_cc explicitly set to "$edje_cc;
],[
  edje_cc=$(pkg-config --variable=prefix edje)/bin/edje_cc
])
AC_SUBST(edje_cc)
	
PKG_CHECK_MODULES(EDBUS, edbus)

AC_OUTPUT([
Makefile
fonts/Makefile
images/Makefile
macros/Makefile
widgets/Makefile
],[])
